Bug Hunting Session
Bug 69635 - FILESAVE: DOCX Export loses hidden 'first' and 'even' header & footer
Summary: FILESAVE: DOCX Export loses hidden 'first' and 'even' header & footer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA interoperability
Keywords: filter:docx
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2013-09-21 10:01 UTC by Adam CloudOn
Modified: 2019-08-19 06:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing headers & footers for 'first', 'even' & 'odd' pages - but 'first' and 'even' are turned off (18.75 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 10:01 UTC, Adam CloudOn
Details
DOCX exported by LO with empty 'first' and 'even' page headers and footers (5.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 10:02 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-09-21 10:01:40 UTC
Created attachment 86234 [details]
DOCX containing headers & footers for 'first', 'even' & 'odd' pages - but 'first' and 'even' are turned off

Problem description: 
LO does not preserve headers & footers if they are not being shown in the document.
Meaning - if a DOCX contains a 'first-page' header, but the 'show different first page' is turned OFF, than LibreOffice will not even import that header and lose it.
However, in Word - you can still turn on & off the 'first-page' header without losing it.

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Load the NEW.DOCX in Word
4. Turn on the 'Different First Page' flag - the original 'first page' header & footer are lost and are shown blank.
5. Turn on the 'Different Odd & Even pages' flag - the original 'even page' header & footer are lost and are shown blank.

Current behavior:
LO does not preserve 'first page' \ 'even page' headers and footers if they are not shown.

Expected behavior:
LO does should preserve 'first page' \ 'even page' headers and footers even if they are shown.
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Adam CloudOn 2013-09-21 10:02:23 UTC
Created attachment 86235 [details]
DOCX exported by LO with empty 'first' and 'even' page headers and footers
Comment 2 Jorendc 2013-10-03 21:14:11 UTC
NEW :)
Comment 3 QA Administrators 2015-04-01 14:42:03 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-04-27 09:40:03 UTC
Reproduced with attachment 86234 [details]

Win 8.1 32-bit
MSO 2013
LibO Version: 5.0.0.0.alpha1+
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86@39, Branch:master, Time: 2015-04-27_00:34:58
Locale: fi_FI
Comment 5 QA Administrators 2017-12-10 16:44:02 UTC Comment hidden (obsolete)
Comment 6 Timur 2018-08-07 15:47:42 UTC
Repro 6.2+
Comment 7 QA Administrators 2019-08-19 06:55:37 UTC
Dear Adam CloudOn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug